SET SERVEROUTPUT ON SIZE 1000000;
SET VERIFY OFF

DECLARE
	l_total_extracted	NUMBER;
	l_total_imported	NUMBER;				
	l_func_id			VARCHAR2(100):='CAPPOREC_APPROVAL_PATH';
	l_code VARCHAR2(100):= UPPER('&1');

BEGIN
	select COUNT(1) 
	into l_total_extracted
      from   cpo_category_approval_path ap,
             hr_organization_units hou
      where  ap.business_group_id = hou.business_group_id      
      and    upper(hou.name) =  (select 'BG_'||upper(TO_CHAR(set_of_books_id))
      						     from gl_sets_of_books
      							 where upper(short_name) = upper(l_code));     
	
	SELECT COUNT(1) 
	INTO l_total_imported
	FROM CRST_CPO_CATEGORY_APPROVAL_PAT;

	dbms_output.put_line('Function: '||l_func_id);		
	dbms_output.put_line('Total Extracted: '||TO_CHAR(l_total_extracted)) ;
	dbms_output.put_line('Total Imported:  '||TO_CHAR(l_total_imported));
	IF l_total_extracted <> l_total_imported THEN
		dbms_output.put_line('Error: No. of Records do not match!');
	END IF;		
						
EXCEPTION
	WHEN OTHERS THEN	
		dbms_output.put_line('Function Error: '||l_func_id);			
END;
/
